Subject: Re: [PATCH] fsmonitor: eliminate call to deprecated FSEventStream function

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Dec 2022 10:05:17 +0900

Victoria Dye <[email-masked]> writes:

>> But git gets ported and backported to a long tail of systems way beyond
>> that. Eventually we do need to let got, but we've generally drawn the
>> line at some fuzzy notion of when users don't care anymore, along with
>> whether it's worth the effort to find out.
>
> My point is that such a user for this scenario is so unlikely to exist that
> holding up this patch - which provides a real, tangible benefit to
> developers *right now* - to implement your suggestion or modify the commit
> message is, at best, an unnecessary distraction.
>
> If, somewhere, there is a user that 1) keeps up-to-date with the latest
> version of Git, 2) uses FSMonitor, and 3) is working on the sole version of
> MacOS that was theoretically compatible with FSMonitor before this change
> but now is not, we can accommodate that once such a need is shown to exist.

I'd still prefer that our commit messages keep records of the fact
that we stopped supporting certain older systems and what kind of
due dilligence we did to decide it is a safe thing to do, which all
already happened in this thread, thanks to you three discussing the
issue.  I would be happier even with "Anything older than 2014 does
not matter to Apple, and we follow that stance" than without any ;-)

Thanks.